/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ReservacionPuntoVenta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderConfiguracionReservacionPuntoVenta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ReservacionPuntoVenta reservacion = (ReservacionPuntoVenta) o;

        Listcell lc = new Listcell(reservacion.getPuntoVenta().getNombpuntoventa());
        lc.setParent(lstm);

        lstm.setAttribute("data", reservacion);
    }
}
